AutoCAD: Customizing the Break Command

The break command has an annoying behaivour. But there is a way to fix that.I find the break command default behavior a bit annoying. The click we do to select a line becomes the first breaking point which give us no accuracy on where we are selecting.
There are two ways around this.
First option is to modify the macro for the button "Break" in the modify tool bar (note that if your CAD manager has disabled your rights to modify the tool bars you will have to create a custom tool bar where we you will add a button for the Break Command). Then we modify the macro associated to the button from ^C^C_break to ^C^C_break \f so AutoCAD will automatically prompt us for the first Break point after selecting the object we want to break.
The other way around is much simpler, and it is basically to remember that if we press "Shift+RightClick" we will get the temporary Osnap contextual menu. So when break command prompt us to select the object we Shift+Right Click and select the Osnap that fits to our needs. This second option though give us less flexibility on the point we can select since we are tied to the Onap we choose from the contextual right click menu.
I am still trying to find out how to incorporate the ^C^C_break \f macro into a command I can enter without using toolbars (I am a keyboard shortcut freak, I love a clean screen with no toolbars) but I guess I need some AutoLisp I donñt have time right now to figure out...So any imput from you guys is welcome.


1 comment:

  1. Two commands. first one asks you where you want to break the line because we don't always need a gap
    the second asks for first point/second.

    (defun C:ba() ;;breaks entity at ONE point
    ;;(setq oosm (getvar "OSMODE"))
    ;;(command ".OSMODE" 0)
    (Command ".break" Pause "F" pause "@")
    ;;(command "OSMODE" oosm)
    )

    (defun c:br()(command ".break" pause "f")) ;;break w/ "First" point entered

    ReplyDelete

Related Posts Plugin for WordPress, Blogger...